Bug 1026243 - (CVE-2013-4494) CVE-2013-4494 kernel: xen: Lock order reversal between page allocation and grant table locks
CVE-2013-4494 kernel: xen: Lock order reversal between page allocation and gr...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131101,repor...
: Security
Depends On: 1026245 1026246 1026248
Blocks: 1026256
  Show dependency treegraph
 
Reported: 2013-11-04 04:24 EST by Petr Matousek
Modified: 2015-02-16 10:47 EST (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 13:55:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-04 04:24:39 EST
The locks page_alloc_lock and grant_table.lock are not always taken in the same order.  This opens the possibility of deadlock. As a result, a malicious guest administrator can deny service to the entire host.

References:
http://seclists.org/oss-sec/2013/q4/204

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-11-04 04:29:41 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1026248]
Comment 3 Petr Matousek 2013-11-04 04:34:51 EST
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 4 Fedora Update System 2013-11-10 01:27:01 EST
xen-4.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-10 21:30:52 EST
xen-4.2.3-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-10 21:34:54 EST
xen-4.2.3-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2014-01-29 12:37:35 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0108 https://rhn.redhat.com/errata/RHSA-2014-0108.html

Note You need to log in before you can comment on or make changes to this bug.